version: '3.1'

services:
  niki_stage_redis:
    image: bitnami/redis:6.2
    container_name: niki_stage_redis
    restart: always
    ports:
      - '127.0.0.1:6380:6379'
    # TODO - remove `--save "" --appendonly no` from command to persist data
    command: redis-server --loglevel warning --protected-mode no --save "" --appendonly no
    environment:
      - ALLOW_EMPTY_PASSWORD=yes
    networks:
      - core
    volumes:
      - niki__stage_redis_data:/data

volumes:
  niki__stage_redis_data:
    driver: local

networks:
  niki-stage:
    external: true